Click or drag to resize

BrepEdgeGetEdgeParameter Method

Get corresponding edge parameter for given trim at given trim parameter.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool GetEdgeParameter(
	int trimIndex,
	double trimParameter,
	out double edgeParameter
)

Parameters

trimIndex
Type: SystemInt32

[Missing <param name="trimIndex"/> documentation for "M:Rhino.Geometry.BrepEdge.GetEdgeParameter(System.Int32,System.Double,System.Double@)"]

trimParameter
Type: SystemDouble

[Missing <param name="trimParameter"/> documentation for "M:Rhino.Geometry.BrepEdge.GetEdgeParameter(System.Int32,System.Double,System.Double@)"]

edgeParameter
Type: SystemDouble

[Missing <param name="edgeParameter"/> documentation for "M:Rhino.Geometry.BrepEdge.GetEdgeParameter(System.Int32,System.Double,System.Double@)"]

Return Value

Type: Boolean
true on success
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also